import { http, Method } from '@/utils/request';

/**
 * 获取字典数据
 * @param {String} dictType - 字典类型
 * @returns {Promise} - 返回字典数据
 */
export function getDictData(dictType) {
  return http.request({
    url: `/system/dict/data/type/${dictType}`,
    method: Method.GET
  });
}

/**
 * 获取多个字典数据
 * @param {Array} dictTypes - 字典类型数组
 * @returns {Promise} - 返回多个字典数据
 */
export function getMultipleDictData(dictTypes) {
  return http.request({
    url: `/system/dict/data/types`,
    method: Method.POST,
    data: dictTypes
  });
} 